<?
function panel_personal_info_full($rec)
{
	?><div id="panel_personal_info_panel"><?
			?><a href="<?echo $rec['__href_window']?>" class="new_window" target="_blank" title="win_second"><?echo $rec['obj_name']?></a><?
              if ($rec['propusk']) echo '<br><span class="nowrap small">PASS: '.$rec['propusk'].'</span>' ;
                if ($rec['uid']) echo '<br><span class="nowrap small">UID: '.$rec['uid'].'</span>' ;
                if (!$rec['enabled'])echo '<br><br><span class="red bold">УВОЛЕН</span> ('.date('d.m.Y H:i',$rec['fired_data']).')' ;
                if ($rec['dr'])echo '<br>'.$rec['dr'] ;
                if ($rec['age'])echo ', '.$rec['age'].' '.get_case_by_count_1_2_5($rec['age'],'год,года,лет');
                if ($rec['fired_data'])echo '<div style="color:burlywood;">Отложенное увольнение до <strong>'.date('d.m.Y',$rec['fired_data']).'</strong></div>' ;

    ?></div><?
}
function panel_personal_info_small($rec)
{
	?><div id="panel_personal_info_panel"><?
			?><a href="<?echo $rec['__href_window']?>" class="new_window" target="_blank" title="win_second"><?echo $rec['obj_name']?></a><?
                if ($rec['dr'])echo '<br>'.$rec['dr'] ;
    ?></div><?
}

function panel_personals_filter_info($filter_set)
{
   include_once(_DIR_EXT.'/personal/report_personals_ids_by_filter.php');
   $report_obj=new report_personals_ids_by_filter();
   $report_obj->no_use_account_usl_select=1 ;

   $arr_info=[] ;
   if (_sizeof($filter_set)) foreach($filter_set as $filter)
   { $report_obj->filter=$filter ;
     $arr_info[]='<li>'.str_replace('center','',$report_obj->panel_info_filter()).'</li>' ;
   }
   $info='<ul class="usl_select_personals_to_group">'.implode('',$arr_info).'</ul>' ;
   echo $info ;
}

?>
